# TclDOM package index - hand crafted
#
# $Id: pkgIndex.tcl.in,v 1.17 2005/11/04 06:30:08 balls Exp $

package ifneeded dom::tcl        3.1 [list source [file join $dir dom.tcl]]
package ifneeded dommap          1.0       [list source [file join $dir dommap.tcl]]
package ifneeded xmlswitch       1.0       [list source [file join $dir xmlswitch.tcl]]

namespace eval ::dom {}

# Requesting the generic dom package loads the C package 
# if available, otherwise falls back to the generic Tcl package.
# The application can tell which it got by examining the
# list of packages loaded (and looking for dom::c, dom::libxml2 or dom::tcl).

package ifneeded dom 3.1 {
    if {[catch {package require dom::libxml2 3.1}]} {
	package require dom::tcl 3.1
    }
    package provide dom 3.1
}
